# Symfony Webhook Receiver Example

A simple Webhook receiver example.

```shell
$ curl -i --location '[SITE BASE PATH]/webhook/example' \
--header 'Webhook-Signature: sha256=9ee91b552655cf19d1ac494e5fe9703e6af60bc61e8a136f138033d097597248' \
--header 'Webhook-Event: test-event' \
--header 'Webhook-Id: test-id' \
--header 'Content-Type: application/json' \
--data '{
    "empty": "body"
}'
```

Expected output:

```shell
HTTP/2 202
cache-control: must-revalidate, no-cache, private
content-language: en
content-type: text/html; charset=UTF-8
date: Fri, 04 Oct 2024 13:14:32 GMT
expires: Sun, 19 Nov 1978 05:00:00 GMT
server: nginx
x-content-type-options: nosniff
x-frame-options: SAMEORIGIN
x-generator: Drupal 10 (https://www.drupal.org)
content-length: 0
```

Expected result:

```shell
$ drush ws

  4    04/Oct 13:29   symfony_webhook_receiver_example.example_consumer   Debug      Array
                                                                                     (
                                                                                         [name] => test-event
                                                                                         [id] => test-id
                                                                                         [payload] => Array
                                                                                             (
                                                                                                 [empty] => body
                                                                                             )

                                                                                     )
```
